stages:
  - build
  - test

build_job:
  stage: build
  tags:
  - cpp
  script:
    - mkdir build
    - cd build
    - cmake -DCMAKE_INSTALL_PREFIX=${CI_PROJECT_DIR}/root -DCMAKE_BUILD_TYPE=Debug .. 
    - make
  artifacts:
    paths:
      - build/
      
test_job:
  stage: test
  tags:
  - cpp
  script:
    - cd build
    - ctest --output-on-failure 
  dependencies:
    - build_job
  artifacts:
    paths:
      - build/
